package openfuture.masterdata;

/**
 * This interface is implemented by classes which implement language dependent behavior.
 *
 * Creation date: (09.09.00 19:11:47)
 * @author: Markus Giebeler
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.<p>
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.<p>
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA<br>
 * http://www.gnu.org/copyleft/lesser.html"
 */
public interface ILanguageDependent {
 /**
  * Return contents of field language
  * 
  * @return (String) contents of field language
  */
  public String getLanguage();  
 /**
  * Set contents of field language to the given value
  * 
  * @param newValue (String) new value for field language
  */
  public void setLanguage(String newValue);  
}
