package openfuture.masterdata;

import java.io.Serializable;

/**
 * This interface is implemented by Master Data classes.
 *
 * Creation date: (09.09.00 19:11:26)
 * @author: Markus Giebeler
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.<p>
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.<p>
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA<br>
 * http://www.gnu.org/copyleft/lesser.html"
 */
public interface IMasterData extends Serializable, Comparable {
 /**
  * Return contents of field id
  * 
  * @return (String) contents of field id
  */
  public String getId();  
 /**
  * Return contents of field text
  * 
  * @return (String) contents of field text
  */
  public String getText();  
 /**
  * Set contents of field id to the given value
  * 
  * @param newValue (String) new value for field id
  */
  public void setId(String newValue);  
 /**
  * Set contents of field text to the given value
  * 
  * @param newValue (String) new value for field text
  */
  public void setText(String newValue);  
}
