package openfuture.masterdata;

import java.util.*;

/**
 * This interface defines the services a Master Data Provider must implement
 *
 * Creation date: (09.09.00 21:52:30)
 * @author: Markus Giebeler
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.<p>
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.<p>
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA<br>
 * http://www.gnu.org/copyleft/lesser.html"
 */
public interface IMasterDataProvider {
/**
 * get some master data from the cache; if no data available in the provider,
 * data are fetched from the service
 *
 * @param type (String) the md type
 */
public Vector getMasterData(String type);
/**
 * get some master data from the cache for a given language
 *
 * @param type (String) the md type
 */
public IMasterData getMasterData(String type, String id);
}
