package openfuture.masterdata;

import java.util.*;
/**
 * This interface defines the services a Master Data Service must implement
 *
 * Creation date: (09.09.00 21:53:00)
 * @author: Markus Giebeler
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.<p>
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.<p>
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA<br>
 * http://www.gnu.org/copyleft/lesser.html"
 */
public interface IMasterDataService {
/**
 * Passes Master Data of the specified type and a given language to the
 * Master Data Provider.
 *
 * Creation date: (09.09.00 21:57:13)
 * @return java.util.Vector
 * @param type java.lang.String
 * @param language java.lang.String
 */
public IMasterDataContainer getMasterData(String type, String language);
/**
 * Initialize the Master Data cache<br>
 * Must be subclassed to provide some master data.
 *
 * <p>You might want to create an instance of an implementing class at start-up
 * of your (server) application and initialize is in order to fetch some data,
 * e.g. from a legacy system or interface.
 * 
 * Creation date: (10.09.00 09:38:20)
 */
public void initialize();
}
