package openfuture.masterdata;

/**
 * This class extends the <tt>MasterData</tt> class to provide a simple
 * language dependent Master Data class.
 *
 * Creation date: (09.09.00 19:17:24)
 * @author: Markus Giebeler
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.<p>
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.<p>
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA<br>
 * http://www.gnu.org/copyleft/lesser.html"
 */
public class LDMasterData extends MasterData implements ILanguageDependent {
  /** Field language (String) is used to hold the language */
  private String language;

/**
 * Constructor
 */
public LDMasterData() {
	super();
}
/**
 * Constructor
 *
 * Creation date: (09.09.00 22:07:08)
 * @param id java.lang.String
 * @param language java.lang.String
 * @param text java.lang.String
 */
public LDMasterData(String id, String language, String text) {
	super(id, text);
	setLanguage(language);
}
/**
 * Compares two objects for equality. Returns a boolean that indicates
 * whether this object is equivalent to the specified object. This method
 * is used when an object is stored in a hashtable.
 * @param obj the Object to compare with
 * @return true if these Objects are equal; false otherwise.
 * @see java.util.Hashtable
 */
public boolean equals(Object obj) {
	// Insert code to compare the receiver and obj here.
	// This implementation forwards the message to super.  You may replace or supplement this.
	// NOTE: obj might be an instance of any class
	return super.equals(obj);
}
/**
 * Return contents of field language
 * 
 * @return (String) contents of field language
 */
public final String getLanguage() {
	if (language == null) {
		language = "";
	}
	return language;
}
/**
 * Generates a hash code for the receiver.
 * This method is supported primarily for
 * hash tables, such as those provided in java.util.
 * @return an integer hash code for the receiver
 * @see java.util.Hashtable
 */
public int hashCode() {
	// Insert code to generate a hash code for the receiver here.
	// This implementation forwards the message to super.  You may replace or supplement this.
	// NOTE: if two objects are equal (equals(Object) returns true) they must have the same hash code
	return super.hashCode();
}
 /**
  * Set contents of field language to the given value
  * 
  * @param newValue (String) new value for field language
  */
  public final void setLanguage(String newValue) {
	this.language = newValue;
  }  
/**
 * Returns a String that represents the value of this object.
 * @return a string representation of the receiver
 */
public String toString() {
	// return getId()+" ("+getLanguage()+") "+getText();
	return getText();
}
}
