package openfuture.masterdata.test;

import java.util.*;
import openfuture.masterdata.*;

/**
 * The class Language is an example for a language dependent master data class
 * 
 * Creation date: (10.09.00 09:56:39)
 * @author: Markus Giebeler
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.<p>
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.<p>
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA<br>
 * http://www.gnu.org/copyleft/lesser.html"
 */
public class Language extends LDMasterData {
  /** Field locale (Locale) is used to identify Locale */
  private Locale locale;

/**
 * Constructor
 */
public Language() {
	super();
}
/**
 * Constructor
 *
 * @param id java.lang.String
 * @param text java.lang.String
 */
public Language(String id, String language, String text, Locale locale) {
	super(id, language, text);
	setLocale(locale);
}
 /**
  * Return contents of field locale
  * 
  * @return (Locale) contents of field locale
  */
  public final Locale getLocale() {
	return locale;
  }  
 /**
  * Set contents of field locale to the given value
  * 
  * @param newValue (Locale) new value for field locale
  */
  public final void setLocale(Locale newValue) {
	this.locale = newValue;
  }  
}
