package openfuture.masterdata.test;

import java.awt.*;
import java.util.*;
import openfuture.masterdata.*;

/**
 * The class ManufacturerDataSource is a simple (example) data source for
 * the master data class <tt>Manufacturer</tt>
 *
 * Creation date: (09.09.00 22:02:54)
 * @author: Markus Giebeler
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.<p>
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.<p>
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA<br>
 * http://www.gnu.org/copyleft/lesser.html"
 */
public class ManufacturerDataSource implements IMasterDataSource {
/**
 * PaintDataSource constructor comment.
 */
public ManufacturerDataSource() {
	super();
}
/**
 * Provide some instances of <tt>Paint</tt> as simple example
 */
public IMasterDataContainer getMasterData(String type) {
	Vector v = new Vector();
	v.addElement(new Manufacturer("WDB", "Mercedes-Benz"));
	v.addElement(new Manufacturer("WVW", "Volkswagen"));
	v.addElement(new Manufacturer("WAU", "Audi"));
	v.addElement(new Manufacturer("1CC", "Chrysler"));
	v.addElement(new Manufacturer("WOL", "Opel"));
	v.addElement(new Manufacturer("WFO", "Ford"));
	v.addElement(new Manufacturer("ZAR", "Alfa Romeo"));
	v.addElement(new Manufacturer("ZFA", "Fiat"));
	v.addElement(new Manufacturer("262", "Rover"));
	v.addElement(new Manufacturer("SAJ", "Jaguar"));
	v.addElement(new Manufacturer("VF3", "Peugeot"));
	v.addElement(new Manufacturer("VF7", "Citroen"));
	v.addElement(new Manufacturer("VF1", "Renault"));
	v.addElement(new Manufacturer("YV1", "Volvo"));
	v.addElement(new Manufacturer("ZDF", "Ferrari"));
	v.addElement(new Manufacturer("SCA", "Rolls-Royce"));
	v.addElement(new Manufacturer("VSS", "Seat"));
	v.addElement(new Manufacturer("TNL", "Skoda"));
	v.addElement(new Manufacturer("JMA", "Mitsubishi"));
	v.addElement(new Manufacturer("JMZ", "Mazda"));
	v.addElement(new Manufacturer("JT1", "Toyota"));
	v.addElement(new Manufacturer("JHM", "Honda"));
	v.addElement(new Manufacturer("JSA", "Suzuki"));
	v.addElement(new Manufacturer("KLA", "Daewoo"));
 	
	return new MasterDataContainer(v);
}
}
