package openfuture.masterdata.test;

import openfuture.masterdata.*;
import java.util.*;

/**
 * This class extends the <tt>DefaultMasterDataProvider</tt> to add some
 * more behavior for the example: It provides direct access methods to the
 * Master Data types <tt>Paint</tt> and </Language>.
 * 
 * Creation date: (10.09.00 09:43:57)
 * @author: Markus Giebeler
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.<p>
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.<p>
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA<br>
 * http://www.gnu.org/copyleft/lesser.html"
 */
public class MyMasterDataProvider extends DefaultMasterDataProvider {
/**
 * Constructor
 */
public MyMasterDataProvider() {
	super();
	setService(new MyMasterDataService());
}
/**
 * Insert the method's description here.
 * 
 * Creation date: (10.09.00 09:46:31)
 * @return openfuture.masterdata.test.Paint
 * @param id java.lang.String
 */
public Language getLanguage(String id) {
	return (Language) getMasterData("Language", id);
}
/**
 * Insert the method's description here.
 * 
 * Creation date: (10.09.00 09:47:31)
 * @return java.util.Vector
 */
public Vector getLanguages() {
	return getMasterData("Language");
}
/**
 * Insert the method's description here.
 * 
 * Creation date: (10.09.00 09:46:31)
 * @return openfuture.masterdata.test.Paint
 * @param id java.lang.String
 */
public Manufacturer getManufacturer(String id) {
	return (Manufacturer) getMasterData("Manufacturer", id);
}
/**
 * Insert the method's description here.
 * 
 * Creation date: (10.09.00 09:47:31)
 * @return java.util.Vector
 */
public Vector getManufacturers() {
	return getMasterData("Manufacturer");
}
/**
 * Insert the method's description here.
 * 
 * Creation date: (10.09.00 09:46:31)
 * @return openfuture.masterdata.test.Paint
 * @param id java.lang.String
 */
public Paint getPaint(String id) {
	return (Paint) getMasterData("Paint", id);
}
/**
 * Insert the method's description here.
 * 
 * Creation date: (10.09.00 09:47:31)
 * @return java.util.Vector
 */
public Vector getPaints() {
	return getMasterData("Paint");
}
}
