package openfuture.masterdata.test;

import openfuture.masterdata.*;

/**
 * This class extends the <tt>DefaultMasterDataService</tt> to add some
 * more behavior for the example: the <tt>intialize()</tt> method fills
 * the master data cache with some example data
 * 
 * Creation date: (10.09.00 09:41:52)
 * @author: Markus Giebeler
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.<p>
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.<p>
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA<br>
 * http://www.gnu.org/copyleft/lesser.html"
 */
public class MyMasterDataService extends DefaultMasterDataService {
/**
 * Constructor
 */
public MyMasterDataService() {
	super();
}
/**
 * Initialize the Master Data cache
 *
 * <p>This subclass is a simple exampe how master data can be initialized.
 *
 * <p>You might want to create an instance of this class at start-up
 * of your (server) application and initialize is in order to fetch some data,
 * e.g. from a legacy system or interface.
 * 
 * Creation date: (10.09.00 09:38:20)
 */
public void initialize() {
	super.initialize();
	addMasterDataContainer("Paint", new PaintDataSource().getMasterData("Paint"));
	addMasterDataContainer("Language", new LanguageDataSource().getMasterData("Language"));
	addMasterDataContainer("Manufacturer", new ManufacturerDataSource().getMasterData("Manufacturer"));
}
}
