package openfuture.masterdata.test;

import java.awt.*;
import java.util.*;
import openfuture.masterdata.*;

/**
 * The class Paint is an example for a language dependent master data class
 *
 * Creation date: (09.09.00 22:01:56)
 * @author: Markus Giebeler
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.<p>
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.<p>
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA<br>
 * http://www.gnu.org/copyleft/lesser.html"
 */
public class Paint extends LDMasterData {
  /** Field color (Color) is used to the color */
  private Color color;

/**
 * Paint constructor comment.
 */
public Paint() {
	super();
}
/**
 * Insert the method's description here.
 *
 * Creation date: (09.09.00 22:04:36)
 * @param id java.lang.String
 * @param language java.lang.String
 * @param text java.lang.String
 * @param color java.awt.Color
 */
public Paint(String id, String language, String text, Color color) {
	super(id, language, text);
	setColor(color);
}
/**
 * compareTo method comment.
 */
public int compareTo(IMasterData o) {
	return this.getText().compareTo(o.getText());
}
 /**
  * Return contents of field color
  * 
  * @return (Color) contents of field color
  */
  public final Color getColor() {
	return color;
  }  
 /**
  * Set contents of field color to the given value
  * 
  * @param newValue (Color) new value for field color
  */
  public final void setColor(Color newValue) {
	this.color = newValue;
  }  
}
