package openfuture.masterdata.test;

import java.awt.*;
import java.util.*;
import openfuture.masterdata.*;

/**
 * The class PaintDataSource is a simple (example) data source for
 * the master data class <tt>Paint</tt>
 *
 * Creation date: (09.09.00 22:02:54)
 * @author: Markus Giebeler
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.<p>
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.<p>
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA<br>
 * http://www.gnu.org/copyleft/lesser.html"
 */
public class PaintDataSource implements IMasterDataSource {
/**
 * PaintDataSource constructor comment.
 */
public PaintDataSource() {
	super();
}
/**
 * Provide some instances of <tt>Paint</tt> as simple example
 */
public IMasterDataContainer getMasterData(String type) {
	Vector v = new Vector();
	v.addElement(new Paint("ff0000", "de" , "rot", Color.red));
	v.addElement(new Paint("00ff00", "de" , "grn", Color.green));
	v.addElement(new Paint("0000ff", "de" , "blau", Color.blue));
	v.addElement(new Paint("000000", "de" , "schwarz", Color.black));
	v.addElement(new Paint("ffffff", "de" , "wei", Color.white));
	v.addElement(new Paint("ffff00", "de" , "gelb", Color.yellow));
	v.addElement(new Paint("ff7f00", "de" , "orange", Color.orange));
	v.addElement(new Paint("00ffff", "de" , "cyan", Color.cyan));
	v.addElement(new Paint("ff00ff", "de" , "magenta", Color.magenta));
	v.addElement(new Paint("7f7f7f", "de" , "grau", Color.gray));
		
	v.addElement(new Paint("ff0000", "en" , "red", Color.red));
	v.addElement(new Paint("00ff00", "en" , "green", Color.green));
	v.addElement(new Paint("0000ff", "en" , "blue", Color.blue));
	v.addElement(new Paint("000000", "en" , "black", Color.black));
	v.addElement(new Paint("ffffff", "en" , "white", Color.white));
	v.addElement(new Paint("ffff00", "en" , "yellow", Color.yellow));
	v.addElement(new Paint("ff7f00", "en" , "orange", Color.orange));
	v.addElement(new Paint("00ffff", "en" , "cyan", Color.cyan));
	v.addElement(new Paint("ff00ff", "en" , "magenta", Color.magenta));
	v.addElement(new Paint("7f7f7f", "en" , "gray", Color.gray));
		
	v.addElement(new Paint("ff0000", "fr" , "rouge", Color.red));
	v.addElement(new Paint("00ff00", "fr" , "vert", Color.green));
	v.addElement(new Paint("0000ff", "fr" , "bleue", Color.blue));
	v.addElement(new Paint("000000", "fr" , "noir", Color.black));
	v.addElement(new Paint("ffffff", "fr" , "blanc", Color.white));
	v.addElement(new Paint("ffff00", "fr" , "jaune", Color.yellow));
	v.addElement(new Paint("ff7f00", "fr" , "orange", Color.orange));
	v.addElement(new Paint("00ffff", "fr" , "cyan", Color.cyan));
	v.addElement(new Paint("ff00ff", "fr" , "magenta", Color.magenta));
	v.addElement(new Paint("7f7f7f", "fr" , "gris", Color.gray));
	
	return new LDMasterDataContainer(v);
}
}
