package openfuture.masterdata.test;

// imports
import java.util.*;
import javax.swing.*;
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

import openfuture.masterdata.*;

/**
 * Class PaintSelectorApplication is used to test the Master Data provider/service
 * 
 * @author  Markus Giebeler 
 * @version $Revision: 1.0 $ 
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.<p>
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.<p>
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA<br>
 * http://www.gnu.org/copyleft/lesser.html"
 */
public class PaintSelectorApplication extends JFrame {
	private boolean initialized = false;
	private String selectedPaint = "00ff00";
	private String selectedManufacturer = "WDB";
	private JPanel ivjJFrameContentPane = null;
	private MyMasterDataProvider ivjMasterDataProvider = null;
	private JComboBox ivjLanguageChoice = null;
	private JLabel ivjLanguageLabel = null;
	private JComboBox ivjPaintChoice = null;
	private JTextField ivjPaintCode = null;
	private JLabel ivjPaintLabel = null;
	private JButton ivjOkBtton = null;
	private JComboBox ivjManufacturerChoice = null;
	private JTextField ivjManufacturerCode = null;
	private JLabel ivjManufacturerLabel = null;
/**
 * PaintSelectorApplication constructor comment.
 */
public PaintSelectorApplication() {
	super();
	initialize();
}
  /** construct the frame */
  public PaintSelectorApplication(String[] arguments) {
	this.validate();
	//Fenster zentrieren
	Dimension sSize = Toolkit.getDefaultToolkit().getScreenSize();
	Dimension fSize = this.getSize();
	if (fSize.height > sSize.height) fSize.height = sSize.height;
	if (fSize.width  > sSize.width) fSize.width = sSize.width;
	this.setLocation((sSize.width - fSize.width) / 2, (sSize.height - fSize.height) / 2);
	// now complete initialization and display frame
	enableEvents(AWTEvent.WINDOW_EVENT_MASK);
	initialize();
	this.setVisible(true);
  }  
/**
 * PaintSelectorApplication constructor comment.
 * @param title java.lang.String
 */
public PaintSelectorApplication(String title) {
	super(title);
}
  /** close frame */
  public void close() {
	System.exit(0);
  }  
/**
 * connEtoC1:  (JButton1.action.actionPerformed(java.awt.event.ActionEvent) --> PaintSelectorApplication.close()V)
 * @param arg1 java.awt.event.ActionEvent
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connectClose(java.awt.event.ActionEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		this.close();
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connectionManufacturerCodeChange:  (ManufacturerCode.focus.focusLost(java.awt.event.FocusEvent) --> PaintSelectorApplication.manufacturerCodeChanged(Ljava.awt.event.FocusEvent;)V)
 * @param arg1 java.awt.event.FocusEvent
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connectionManufacturerCodeChange(java.awt.event.FocusEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		this.manufacturerCodeChanged(arg1);
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoC1:  (LanguageChoice.action.actionPerformed(java.awt.event.ActionEvent) --> PaintSelectorApplication.languageSelected(Ljava.awt.event.ActionEvent;)V)
 * @param arg1 java.awt.event.ActionEvent
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connectLanguageSelection(java.awt.event.ActionEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		this.languageSelected(arg1);
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoC2:  (paintCode.focus.focusLost(java.awt.event.FocusEvent) --> PaintSelectorApplication.paintCodeChanged(Ljava.awt.event.FocusEvent;)V)
 * @param arg1 java.awt.event.FocusEvent
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connectPaintCodeChange(java.awt.event.FocusEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		this.paintCodeChanged(arg1);
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoC3:  (paintChoice.action.actionPerformed(java.awt.event.ActionEvent) --> PaintSelectorApplication.paintSelected(Ljava.awt.event.ActionEvent;)V)
 * @param arg1 java.awt.event.ActionEvent
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connectPaintSelection(java.awt.event.ActionEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		this.paintSelected(arg1);
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoC1:  (ManufacturerChoice.action.actionPerformed(java.awt.event.ActionEvent) --> PaintSelectorApplication.manufacturerSelected(Ljava.awt.event.ActionEvent;)V)
 * @param arg1 java.awt.event.ActionEvent
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoC1(java.awt.event.ActionEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		this.manufacturerSelected(arg1);
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * Return the JFrameContentPane property value.
 * @return javax.swing.JPanel
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JPanel getJFrameContentPane() {
	if (ivjJFrameContentPane == null) {
		try {
			ivjJFrameContentPane = new javax.swing.JPanel();
			ivjJFrameContentPane.setName("JFrameContentPane");
			ivjJFrameContentPane.setLayout(null);
			getJFrameContentPane().add(getOkBtton(), getOkBtton().getName());
			getJFrameContentPane().add(getPaintLabel(), getPaintLabel().getName());
			getJFrameContentPane().add(getPaintCode(), getPaintCode().getName());
			getJFrameContentPane().add(getPaintChoice(), getPaintChoice().getName());
			getJFrameContentPane().add(getLanguageLabel(), getLanguageLabel().getName());
			getJFrameContentPane().add(getLanguageChoice(), getLanguageChoice().getName());
			getJFrameContentPane().add(getManufacturerLabel(), getManufacturerLabel().getName());
			getJFrameContentPane().add(getManufacturerCode(), getManufacturerCode().getName());
			getJFrameContentPane().add(getManufacturerChoice(), getManufacturerChoice().getName());
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjJFrameContentPane;
}
/**
 * Return the LanguageChoice property value.
 * @return javax.swing.JComboBox
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JComboBox getLanguageChoice() {
	if (ivjLanguageChoice == null) {
		try {
			ivjLanguageChoice = new javax.swing.JComboBox();
			ivjLanguageChoice.setName("LanguageChoice");
			ivjLanguageChoice.setBounds(207, 87, 130, 22);
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjLanguageChoice;
}
/**
 * Return the LanguageLabel property value.
 * @return javax.swing.JLabel
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JLabel getLanguageLabel() {
	if (ivjLanguageLabel == null) {
		try {
			ivjLanguageLabel = new javax.swing.JLabel();
			ivjLanguageLabel.setName("LanguageLabel");
			ivjLanguageLabel.setText("Language:");
			ivjLanguageLabel.setBounds(19, 87, 114, 22);
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjLanguageLabel;
}
/**
 * Return the ManufacturerChoice property value.
 * @return javax.swing.JComboBox
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JComboBox getManufacturerChoice() {
	if (ivjManufacturerChoice == null) {
		try {
			ivjManufacturerChoice = new javax.swing.JComboBox();
			ivjManufacturerChoice.setName("ManufacturerChoice");
			ivjManufacturerChoice.setBounds(207, 138, 130, 22);
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjManufacturerChoice;
}
/**
 * Return the ManufacturerCode property value.
 * @return javax.swing.JTextField
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JTextField getManufacturerCode() {
	if (ivjManufacturerCode == null) {
		try {
			ivjManufacturerCode = new javax.swing.JTextField();
			ivjManufacturerCode.setName("ManufacturerCode");
			ivjManufacturerCode.setBounds(130, 138, 64, 22);
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjManufacturerCode;
}
/**
 * Return the ManufacturerLabel property value.
 * @return javax.swing.JLabel
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JLabel getManufacturerLabel() {
	if (ivjManufacturerLabel == null) {
		try {
			ivjManufacturerLabel = new javax.swing.JLabel();
			ivjManufacturerLabel.setName("ManufacturerLabel");
			ivjManufacturerLabel.setText("Manufacturer:");
			ivjManufacturerLabel.setBounds(19, 138, 104, 22);
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjManufacturerLabel;
}
/**
 * Return the MasterDataProvider property value.
 * @return openfuture.masterdata.test.MyMasterDataProvider
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private MyMasterDataProvider getMasterDataProvider() {
	if (ivjMasterDataProvider == null) {
		try {
			ivjMasterDataProvider = new openfuture.masterdata.test.MyMasterDataProvider();
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjMasterDataProvider;
}
/**
 * Return the JButton1 property value.
 * @return javax.swing.JButton
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JButton getOkBtton() {
	if (ivjOkBtton == null) {
		try {
			ivjOkBtton = new javax.swing.JButton();
			ivjOkBtton.setName("OkBtton");
			ivjOkBtton.setText("OK");
			ivjOkBtton.setBounds(19, 201, 124, 27);
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjOkBtton;
}
/**
 * Return the paintChoice property value.
 * @return javax.swing.JComboBox
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JComboBox getPaintChoice() {
	if (ivjPaintChoice == null) {
		try {
			ivjPaintChoice = new javax.swing.JComboBox();
			ivjPaintChoice.setName("PaintChoice");
			ivjPaintChoice.setBounds(207, 40, 130, 22);
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjPaintChoice;
}
/**
 * Return the paintCode property value.
 * @return javax.swing.JTextField
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JTextField getPaintCode() {
	if (ivjPaintCode == null) {
		try {
			ivjPaintCode = new javax.swing.JTextField();
			ivjPaintCode.setName("PaintCode");
			ivjPaintCode.setBounds(130, 40, 64, 22);
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjPaintCode;
}
/**
 * Return the paintLabel property value.
 * @return javax.swing.JLabel
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JLabel getPaintLabel() {
	if (ivjPaintLabel == null) {
		try {
			ivjPaintLabel = new javax.swing.JLabel();
			ivjPaintLabel.setName("PaintLabel");
			ivjPaintLabel.setText("Paint:");
			ivjPaintLabel.setBounds(19, 40, 104, 22);
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjPaintLabel;
}
/**
 * Called whenever the part throws an exception.
 * @param exception java.lang.Throwable
 */
private void handleException(java.lang.Throwable exception) {

	/* Uncomment the following lines to print uncaught exceptions to stdout */
	System.out.println("--------- UNCAUGHT EXCEPTION ---------");
	exception.printStackTrace(System.out);
}
/**
 * Initializes connections
 * @exception java.lang.Exception The exception description.
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void initConnections() throws java.lang.Exception {
	// user code begin {1}
	// user code end
	getOkBtton().addActionListener(new java.awt.event.ActionListener() {
		public void actionPerformed(java.awt.event.ActionEvent e) {
			connectClose(e);
		};
	});
	getPaintCode().addFocusListener(new java.awt.event.FocusAdapter() {
		public void focusLost(java.awt.event.FocusEvent e) {
			connectPaintCodeChange(e);
		};
	});
	getPaintChoice().addActionListener(new java.awt.event.ActionListener() {
		public void actionPerformed(java.awt.event.ActionEvent e) {
			connectPaintSelection(e);
		};
	});
	getLanguageChoice().addActionListener(new java.awt.event.ActionListener() {
		public void actionPerformed(java.awt.event.ActionEvent e) {
			connectLanguageSelection(e);
		};
	});
	getManufacturerCode().addFocusListener(new java.awt.event.FocusAdapter() {
		public void focusLost(java.awt.event.FocusEvent e) {
			connectionManufacturerCodeChange(e);
		};
	});
	getManufacturerChoice().addActionListener(new java.awt.event.ActionListener() {
		public void actionPerformed(java.awt.event.ActionEvent e) {
			connEtoC1(e);
		};
	});
}
/** initializes the frame */
public void initialize() {
	try {
		// user code begin {1}
		// user code end
		setName("PaintSelectorApplication");
		setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
		setSize(426, 262);
		setTitle("Paint Selector Application");
		setContentPane(getJFrameContentPane());
		initConnections();
	} catch (java.lang.Throwable ivjExc) {
		handleException(ivjExc);
	}
	// user code begin {2}
	Enumeration allLanguages = getMasterDataProvider().getLanguages().elements();
	while (allLanguages.hasMoreElements()) {
		getLanguageChoice().addItem(allLanguages.nextElement());
	}

	Enumeration allPaints = getMasterDataProvider().getPaints().elements();
	while (allPaints.hasMoreElements()) {
		getPaintChoice().addItem(allPaints.nextElement());
	}

	Enumeration allManufacturers = getMasterDataProvider().getManufacturers().elements();
	while (allManufacturers.hasMoreElements()) {
		getManufacturerChoice().addItem(allManufacturers.nextElement());
	}

	getLanguageChoice().setSelectedItem(getMasterDataProvider().getLanguage(getMasterDataProvider().getLanguage()));
	getPaintChoice().setSelectedItem(getMasterDataProvider().getPaint(selectedPaint));
	getPaintCode().setText(selectedPaint);
	getManufacturerChoice().setSelectedItem(getMasterDataProvider().getManufacturer(selectedManufacturer));
	getManufacturerCode().setText(selectedManufacturer);
	initialized = true;
	// user code end
}
/**
 * Comment
 */
public void languageSelected(ActionEvent actionEvent) {
	if(!initialized) return;
	
	initialized=false;
	Language newLanguage = (Language) getLanguageChoice().getSelectedItem();
	getMasterDataProvider().setLanguage(newLanguage.getId());

	getLanguageChoice().removeAllItems();
	Enumeration allLanguages = getMasterDataProvider().getLanguages().elements();
	while (allLanguages.hasMoreElements()) {
		getLanguageChoice().addItem(allLanguages.nextElement());
	}

	getPaintChoice().removeAllItems();
	Enumeration allPaints = getMasterDataProvider().getPaints().elements();
	while (allPaints.hasMoreElements()) {
		getPaintChoice().addItem(allPaints.nextElement());
	}
	getLanguageChoice().setSelectedItem(getMasterDataProvider().getLanguage(newLanguage.getId()));
	getPaintChoice().setSelectedItem(getMasterDataProvider().getPaint(selectedPaint));
	initialized=true;
	
}
  /** The main method */
  public static void main(String[] args) {
	try  {
	  UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
	} catch(Exception e) {
	}
	new PaintSelectorApplication(args);
  }  
/**
 * Comment
 */
public void manufacturerCodeChanged(FocusEvent focusEvent) {
	if(!initialized) return;

	initialized=false;
	String newManufacturerCode = getManufacturerCode().getText();
	Manufacturer newManufacturer = getMasterDataProvider().getManufacturer(newManufacturerCode);
	if(newManufacturer!=null) {
		selectedManufacturer=newManufacturer.getId();
		getManufacturerChoice().setSelectedItem(newManufacturer);
	} else {
		getManufacturerCode().setText(selectedManufacturer);
	}
	initialized=true;
}
/**
 * Comment
 */
public void manufacturerSelected(ActionEvent actionEvent) {
	if(!initialized) return;

	Manufacturer selected = (Manufacturer) getManufacturerChoice().getSelectedItem();
	selectedManufacturer=selected.getId();
	getManufacturerCode().setText(selectedManufacturer);
}
/**
 * Comment
 */
public void paintCodeChanged(FocusEvent focusEvent) {
	if(!initialized) return;

	initialized=false;
	String newPaintCode = getPaintCode().getText();
	Paint newPaint = getMasterDataProvider().getPaint(newPaintCode);
	if(newPaint!=null) {
		selectedPaint=newPaint.getId();
		getPaintChoice().setSelectedItem(newPaint);
	} else {
		getPaintCode().setText(selectedPaint);
	}
	initialized=true;

}
/**
 * Comment
 */
public void paintSelected(ActionEvent actionEvent) {
	if(!initialized) return;

	Paint selected = (Paint) getPaintChoice().getSelectedItem();
	selectedPaint=selected.getId();
	getPaintCode().setText(selectedPaint);
}
  /** handle Window events */
  protected void processWindowEvent(WindowEvent e) {
	super.processWindowEvent(e);
	if(e.getID() == WindowEvent.WINDOW_CLOSING) {
	  close();
	}
  }  
}
